Main Page Widgets Namespaces Book

# Gtk::CellRendererText Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererText:

[legend]
List of all members.

## Detailed Description

Renders text in a cell.

## Public Member Functions

virtual Glib::ustring | _property_renderable ()
| Returns the property that this CellRenderer renders.
| CellRendererText ()
const GtkCellRendererText* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererText* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_fixed_height_from_font (int number_of_rows)
| Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it.
Glib::SignalProxy2< void, const Glib::ustring &, const Glib::ustring& > | signal_edited ()

Prototype:
  `void edited(const Glib::ustring& path, const Glib::ustring& new_text)`

virtual | ~CellRendererText ()

## Protected Member Functions

void | edited (const Glib::ustring& path, const Glib::ustring& new_text)
| Emits the "edited" signal.

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererText* | wrap (GtkCellRendererText* object, bool take_copy=false)

Parameters:

  | object | The C instance

## Constructor & Destructor Documentation

virtual Gtk::CellRendererText::~CellRendererText | ( |  | ) | `[virtual]`

Gtk::CellRendererText::CellRendererText | ( |  | ) |

## Member Function Documentation

virtual Glib::ustring Gtk::CellRendererText::_property_renderable | ( |  | ) | `[virtual]`

Returns the property that this CellRenderer renders.

For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes.

Reimplemented from Gtk::CellRenderer.

Reimplemented in Gtk::CellRendererCombo.

void Gtk::CellRendererText::edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | new_text |
| ) |  |  | `[protected]`

Emits the "edited" signal.

This is useful when implementing custom CellRenderers.

const GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Reimplemented in Gtk::CellRendererCombo.

GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Reimplemented in Gtk::CellRendererCombo.

void Gtk::CellRendererText::set_fixed_height_from_font | ( | int | number_of_rows | ) |

Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it.

Further changes in these properties do not affect the height, so they must be accompanied by a subsequent call to this function. Using this function is unflexible, and should really only be used if calculating the size of a cell is too slow (ie, a massive number of cells displayed). If number_of_rows is -1, then the fixed height is unset, and the height is determined by the properties again.

Parameters:

  | number_of_rows | Number of rows of text each cell renderer is allocated, or -1.

Glib::SignalProxy2< void,const Glib::ustring&,const Glib::ustring& > Gtk::CellRendererText::signal_edited | ( |  | ) |

Prototype:
  `void edited(const Glib::ustring& path, const Glib::ustring& new_text)`

## Friends And Related Function Documentation

Gtk::CellRendererText* wrap | ( | GtkCellRendererText * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrenderertext.h